#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 34. GNOME Applications

- Prev

  gnome-weather-47.0

- Next

  Seahorse-47.0.1

- Up
- Home

# Gucharmap-16.0.2

## Introduction to Gucharmap

Gucharmap is a Unicode character map and font viewer. It allows you to browse through all the available Unicode characters and categories for the installed fonts, and to examine their detailed properties. It is an easy way to find the character you might only know by its Unicode name or code point.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://gitlab.gnome.org/GNOME/gucharmap/-/archive/16.0.2/gucharmap-16.0.2.tar.bz2

- Download MD5 sum: b349d3a7d5606a934a1a5fe71a7550f0

- Download size: 1.4 MB

- Estimated disk space required: 79 MB

- Estimated build time: 0.1 SBU

### Additional Downloads

- Unicode Character Database: https://www.unicode.org/Public/zipped/16.0.0/UCD.zip

- CJK Unified Ideographs: https://www.unicode.org/Public/zipped/16.0.0/Unihan.zip

### Gucharmap Dependencies

#### Required

desktop-file-utils-0.28, gsettings-desktop-schemas-47.1, GTK-3.24.48, itstool-2.0.7, libarchive-3.7.7, and pcre2-10.45

#### Recommended

GLib-2.82.5 (with GObject Introspection) and Vala-0.56.17

#### Optional

appstream-glib-0.8.3 and GTK-Doc-1.34.0

## Installation of Gucharmap

### Note

This package uses two unversioned downloads. You may want to rename these to a versioned name, e.g. `UCD-16.zip` to make upgrades easier.

Install Gucharmap by running the following commands:

    mkdir build                   &&
    cd    build                   &&
    mkdir ucd                     &&
    pushd ucd                     &&
      unzip ../../../UCD.zip      &&
      cp -v ../../../Unihan.zip . &&
    popd                          &&

    meson setup --prefix=/usr       \
                --strip             \
                --buildtype=release \
                -D ucd_path=./ucd   \
                -D docs=false       \
                ..                  &&
    ninja

This package does not have a test suite.

Now, as the `root` user:

    rm  -fv /usr/share/glib-2.0/schemas/org.gnome.Charmap.enums.xml &&
    ninja install

## Command Explanations

`--strip`: Although the package defaults to a release build without debug information, without this switch there will be some debug information in the binaries.

`-D ucd_path=./ucd`: This points to where the extracted main Unicode data files, and the zipped Unihan archive can be found.

rm -fv /usr/share/glib-2.0/schemas/org.gnome.Charmap.enums.xml: Old versions of this package installed an obsolete file that prevents the program from running, as if the main schema has not been installed. Forcibly removing works even if the old file is not present.

`-D docs=false`: This allows the package to build even if gtk-doc has not been installed. Remove this if you have installed that and wish to build the documentation.

`-D gir=false`: Use this if you have not installed GLib-2.82.5 (with GObject Introspection).

`-D vapi=false`: Use this if you have not installed Vala-0.56.17.

## Contents

Installed Program: gucharmap
Installed Library: libgucharmap_2_90.so
Installed Directories: /usr/include/gucharmap-2.90

### Short Descriptions

gucharmap | is a Unicode character map and font viewer
`libgucharmap_2_90.so` | contains the Gucharmap API functions

- Prev

  gnome-weather-47.0

- Next

  Seahorse-47.0.1

- Up
- Home